summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcontrib/debian/rules3
-rwxr-xr-xnetdata-installer.sh2
-rwxr-xr-xpackaging/installer/netdata-uninstaller.sh30
3 files changed, 0 insertions, 35 deletions
diff --git a/contrib/debian/rules b/contrib/debian/rules
index b631f36503..f63ea935ef 100755
--- a/contrib/debian/rules
+++ b/contrib/debian/rules
@@ -96,9 +96,6 @@ override_dh_installdocs:
--target $(TOP)/usr/share/doc/netdata/ \
{} \;
-override_dh_shlibdeps:
- dh_shlibdeps -X libnetdata_ebpf
-
override_dh_fixperms:
dh_fixperms
diff --git a/netdata-installer.sh b/netdata-installer.sh
index 15bd96b258..151e8760fe 100755
--- a/netdata-installer.sh
+++ b/netdata-installer.sh
@@ -1452,9 +1452,7 @@ install_ebpf() {
# chown everything to root:netdata before we start copying out of our package
run chown -R root:netdata "${tmp}"
- run cp -a -v "${tmp}"/library/* "${NETDATA_PREFIX}"/usr/libexec/netdata/plugins.d
run cp -a -v "${tmp}"/*netdata_ebpf_*.o "${NETDATA_PREFIX}"/usr/libexec/netdata/plugins.d
- run cp -a -v "${tmp}"/libnetdata_ebpf.so.* "${NETDATA_PREFIX}"/usr/libexec/netdata/plugins.d
rm -rf "${tmp}"
diff --git a/packaging/installer/netdata-uninstaller.sh b/packaging/installer/netdata-uninstaller.sh
index e92520dbac..926876b00a 100755
--- a/packaging/installer/netdata-uninstaller.sh
+++ b/packaging/installer/netdata-uninstaller.sh
@@ -440,34 +440,6 @@ stop_all_netdata() {
trap quit_msg EXIT
-uninstall_ebpf() {
- # Removing NetData's libexec directory is taken care of which is where we
- # installed the rest of the shared libraires for the eBPF Collector.
-
- echo >&2 " Finding lib directory ..."
- libdir=
- libdir="$(ldconfig -v 2> /dev/null | grep ':$' | sed -e 's/://' | sort -r | grep 'usr' | head -n 1)"
- if [ -z "${libdir}" ]; then
- libdir="$(ldconfig -v 2> /dev/null | grep ':$' | sed -e 's/://' | sort -r | head -n 1)"
- fi
-
- if [ -z "${libdir}" ]; then
- echo >&2 "Unable to find the system lib directory we installed eBPF ebpf_kernel.so to ..."
- user_input "Press ENTER to search your system (which may take some time) ..."
- find / -type f -name 'libbpf_kernel.so' -o -name 'libbpf_kernel.so.0'
- echo >&2 "Please manually delete these files"
- return 1
- fi
-
- rm_file "${libdir}/libbpf_kernel.so.0"
- rm_file "${libdir}/libbpf_kernel.so"
- run ldconfig
-
- echo >&2 "ePBF uninstall all done!"
-
- return 0
-}
-
#shellcheck source=/dev/null
source "${ENVIRONMENT_FILE}" || exit 1
@@ -499,8 +471,6 @@ else
rm_dir "/etc/netdata"
fi
-uninstall_ebpf || echo >&2 "Unable to remove eBPF files automatically"
-
FILE_REMOVAL_STATUS=1
#### REMOVE NETDATA USER FROM ADDED GROUPS